MMEvents.createProcesses(event => {
  event
    .create('mm:dust_sieve_recipe')
    .structureId('mm:sieve_structure')
    .ticks(4)
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:item',
        item: 'exdeorum:dust',
        count: 1
      }
    })
    .input({
      type: 'mm:input/consume',
      ingredient: {
        type: 'mm:energy',
        amount: 10000
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:bone_meal',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'ae2:certus_quartz_dust',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:glowstone_dust',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'ae2:sky_dust',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.75,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:redstone',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.5,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:gunpowder',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.35,
      ingredient: {
        type: 'mm:item',
        item: 'minecraft:blaze_powder',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.33,
      ingredient: {
        type: 'mm:item',
        item: 'enderio:grains_of_infinity',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.2,
      ingredient: {
        type: 'mm:item',
        item: 'rftoolsbase:dimensionalshard',
        count: 1
      }
    })
    .output({
      type: 'mm:output/simple',
      chance: 0.2,
      ingredient: {
        type: 'mm:item',
        item: 'dimensionalpocketsii:dimensional_shard',
        count: 1
      }
    })
})